# Uses of Interface
java.lang.classfile.AccessFlags

Packages that use AccessFlags
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.

## Uses of AccessFlags in java.lang.classfile

Methods in java.lang.classfile that return AccessFlags
Modifier and Type
Method
Description
`AccessFlags`
ClassModel.`flags()`
Returns the access flags.
`AccessFlags`
FieldModel.`flags()`
Returns the access flags.
`AccessFlags`
MethodModel.`flags()`
Returns the access flags.